kcapi_md_update
Prev | Message Digest Cipher API - Stream | Next

## Name

kcapi_md_update — message digest update function (stream)

## Synopsis

`ssize_t kcapi_md_update (` | struct kcapi_handle * handle,
| const uint8_t * buffer,
| size_t len`)`;

## Arguments

`handle`

  [in] cipher handle

`buffer`

  [in] holding the data to add to the message digest

`len`

  [in] buffer length

## Description

The input buffer can be at most INT_MAX in size.

`return` 0 upon success; a negative errno-style error code if an error occurred

Prev | Up | Next
Message Digest Cipher API - Stream | Home | kcapi_md_final